Skip to main content

Update a storage

PUThttps://carchost.fieldcontrol.com.br/storages-v2/{id}

Updates a storage. The body follows the same rules as creation. Requires the inventory control module.

Requires the X-Api-Key, User-Agent and Content-Type: application/json headers. Limit: 1 request per second (learn more).

Request​

Path parameters

idstringrequired

Storage identifier.

Example: MWY5ZGE5YzgtZDY3MC00NWJhLTk0MGUtNzQxYjk3ODI0MzllOjIyOTE1.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Request body

JSON, sent with the Content-Type: application/json header.

namestringrequired

Storage name. Must be unique in the account.

Up to 150 characters.

archivedbooleanrequired

Archives the storage. An archived storage loses its employee in charge.

descriptionstring

Storage description.

Up to 2000 characters.

employeeobject

Employee in charge of the storage.

Fields of employee
idstring or number

Employee identifier. A value that is not an employee identifier removes the person in charge.

allowItemRequestsboolean

Allows item requests to the storage.

Default: false.

isTriageboolean

Sets the storage as a triage storage.

Default: false.

externalobject
Fields of external
idstring

Storage identifier in your system.

Up to 100 characters.Accepts: null.

Responses

  • 200

    Storage updated. The response does not include storageProducts.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 422

    Invalid identifier or one from another account (uriValidationErr), nonexistent storage (resourceValidationErr with message: storage not found; there is no 404), invalid body or name already used. Account without the inventory control module: resourceNotAllowed.

    resourceValidationErr →
  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.